# -*- mode: ruby -*-
# vi: set ft=ruby :

# All Vagrant configuration is done below. The "2" in Vagrant.configure
# configures the configuration version (we support older styles for
# backwards compatibility). Please don't change it unless you know what
# you're doing.
Vagrant.configure("2") do |config|
  config.vm.provision "file", source: "~/.ssh/id_rsa.pub", destination: "~/.ssh/me.pub"
  config.vm.provision "shell", inline: "cat ~vagrant/.ssh/me.pub >> ~vagrant/.ssh/authorized_keys"

  config.vm.provider :virtualbox do |vb|
    vb.customize ["modifyvm", :id, "--memory", "400"]
  end

  config.ssh.username = 'vagrant'
  config.ssh.password = 'vagrant'
  config.ssh.private_key_path = "~/.ssh/id_rsa"
  config.ssh.insert_key = true

  config.vm.define "ansible" do |ansible|
    ansible.vm.box = "ubuntu18.instrument"
    ansible.vm.provision "file", source: "~/.ssh/id_rsa", destination: "~/.ssh/id_rsa"
    ansible.vm.network "private_network", ip: "10.0.0.200"
  end

  config.vm.define "app" do |app|
    app.vm.box = "ubuntu18.instrument"
    app.vm.network "private_network", ip: "10.0.0.201"
    app.vm.network "forwarded_port", guest: 8080, host: 8083, host_ip: "127.0.0.1"
  end

  config.vm.define "redis" do |redis|
    redis.vm.box = "ubuntu18.instrument"
    redis.vm.network "private_network", ip: "10.0.0.202"
  end

end
